import { createVNode as _createVNode } from "vue";
import { defineComponent, shallowRef } from 'vue';
var Transform = defineComponent({
  name: 'Transform',
  props: ['offset'],
  setup: function setup(props, _ref) {
    var slots = _ref.slots,
      expose = _ref.expose;
    var transformDomRef = shallowRef();
    expose({
      transformDomRef: transformDomRef
    });
    return function () {
      var _slots$default;
      return _createVNode("div", {
        "ref": transformDomRef,
        "style": {
          position: 'absolute',
          left: "".concat(props.offset.x, "px"),
          top: "".concat(props.offset.y, "px"),
          zIndex: 1
        }
      }, [(_slots$default = slots.default) === null || _slots$default === void 0 ? void 0 : _slots$default.call(slots)]);
    };
  }
});
export default Transform;